# This file created by conda-build 24.11.1
# meta.yaml template originally from:
# /private/var/folders/wk/981rzzds69v57x0g3m4rwsyw00010k/T/airflowtmps07l6z90/f37269e8-10e6-4bac-be29-f808f6031320/src/buildscripts/condarecipe.local, last modified Sun Nov 24 23:22:54 2024
# ------------------------------------------------

package:
  name: numba
  version: 0.61.0rc1
source:
  path: /private/var/folders/wk/981rzzds69v57x0g3m4rwsyw00010k/T/airflowtmps07l6z90/f37269e8-10e6-4bac-be29-f808f6031320/src
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
  ignore_run_exports:
    - tbb
  missing_dso_whitelist:
    - lib/libiomp5.dylib
  number: '0'
  script_env:
    - PY_VCRUNTIME_REDIST
  string: np2.0py3.12h4af9442_g4fd17fa6d_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_1
    - clang-14 14.0.6 default_h1b80db6_1
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_h1b80db6_1
    - clangxx_osx-arm64 14.0.6 h72866fe_0
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.5 h20b2a84_3
    - libclang-cpp14 14.0.6 default_h1b80db6_1
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_1
    - libllvm14 14.0.6 h19fdd8a_4
    - llvm-openmp 14.0.6 hc6e5704_0
    - llvm-tools 14.0.6 h7ec7a93_4
    - tapi 1100.0.11 h8754e6a_1
    - zlib 1.2.13 h18a0788_1
  host:
    - blas 1.0 openblas
    - bzip2 1.0.8 h80987f9_6
    - ca-certificates 2024.9.24 hca03da5_0
    - expat 2.6.3 h313beb8_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_1
    - libgfortran 5.0.0 11_3_0_hca03da5_28
    - libgfortran5 11.3.0 h009349e_28
    - libopenblas 0.3.21 h269037a_0
    - llvm-openmp 14.0.6 hc6e5704_0
    - llvmlite 0.44.0dev0 py312_169
    - lz4-c 1.9.4 h313beb8_1
    - ncurses 6.4 h313beb8_0
    - numpy 2.0.1 py312h7f4fdc5_0
    - numpy-base 2.0.1 py312he047099_0
    - openssl 3.0.15 h80987f9_0
    - pip 24.2 py312hca03da5_0
    - python 3.12.7 h99e199e_0
    - readline 8.2 h1a28f6b_0
    - setuptools 75.1.0 py312hca03da5_0
    - sqlite 3.45.3 h80987f9_0
    - tbb 2021.8.0 h48ca7d4_0
    - tbb-devel 2021.8.0 h48ca7d4_0
    - tk 8.6.14 h6ba3021_0
    - tzdata 2024b h04d1e81_0
    - wheel 0.44.0 py312hca03da5_0
    - xz 5.4.6 h80987f9_1
    - zlib 1.2.13 h18a0788_1
    - zstd 1.5.6 hfb09047_0
  run:
    - libcxx >=14.0.6
    - llvm-openmp >=14.0.6
    - llvmlite 0.44.*
    - numpy >=1.24,<2.2
    - python >=3.12,<3.13.0a0
  run_constrained:
    - cuda-python >=11.6
    - cuda-version >=11.2
    - cudatoolkit >=11.2
    - libopenblas >=0.3.18, !=0.3.20
    - scipy >=1.0
    - tbb >=2021.6
test:
  requires:
    - cffi
    - clang_osx-arm64
    - clangxx_osx-arm64
    - ipython
    - jinja2
    - llvm-openmp
    - scipy
    - setuptools
    - tbb >=2021.6
about:
  home: https://numba.pydata.org/
  license: BSD
  license_file: LICENSE
  summary: a just-in-time Python function compiler based on LLVM
extra:
  copy_test_source_files: true
  final: true
